import 'package:flutter/material.dart';
import 'package:flutter_tapjoy/flutter_tapjoy.dart';

void main() async {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  void initTapjoy() {
    Tapjoy.setDebugEnabled(isDebug: true);
    Tapjoy.setUserConsent(consent: '0');
    Tapjoy.connect((TapjoyPlacementListener event, int reward, String error) {
      if (event == TapjoyPlacementListener.onConnectSuccess) {
        Tapjoy.getPlacement(placementName: 'placement_name');
      } else if (event == TapjoyPlacementListener.onContentFailure) {
        print('Tapjoy Placement ERROR: $error');
      } else if (event == TapjoyPlacementListener.onReward) {
        print('Tapjoy SDK $reward');
      } else if (event == TapjoyPlacementListener.onContentReady) {
        Tapjoy.showContent();
      } else if (event == TapjoyPlacementListener.onContentDismiss) {
        print('dismissed');
      }
    }, apiToken: 'apiToken');
  }

  @override
  void initState() {
    initTapjoy();
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(
          children: <Widget>[
            RaisedButton(
              child: Text('is Content Available'),
              onPressed: () {
                Tapjoy.requestContent();
              },
            ),
          ],
        ),
      ),
    );
  }
}
